콘텐츠로 건너뛰기

MAGI-1 (Distilled)

통합

모델 id magi-distilled
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/magi-distilled?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.32 320 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Sand AI 텍스트를 동영상으로 빠름최대 720p #text-to-video

480p 또는 720p 출력을 제공하고 4~32의 단계 수를 선택할 수 있는 증류 MAGI-1 텍스트-투-비디오

Sand AI · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

동영상 생성을 안내하는 텍스트 지침입니다.

resolution 기본값 720p

출력 동영상 해상도이며 480p 또는 720p입니다.

num_inference_steps 기본값 16

샘플링 단계 수입니다. 수가 늘어날수록 처리 시간이 길어지는 대신 품질이 향상됩니다.

aspect_ratio 기본값 auto

생성된 동영상의 비율입니다. 'auto'로 설정하면 입력 이미지에서 자동으로 선택됩니다.

기본값 96

출력 프레임 수입니다. 최소값은 96, 최대값은 192입니다.

고급 seed · enable_safety_checker

생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.

POST /run/magi-distilled?wait=20 견적 → $0.32
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/magi-distilled?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

MAGI-1 (Distilled) 정보

텍스트 `prompt`에서 비디오를 생성합니다. `num_frames`는 96~192, `resolution`은 480p 또는 720p이며 `aspect_ratio`는 auto, 16:9, 9:16 또는 1:1일 수 있습니다. `num_inference_steps`는 4, 8, 16 또는 32를 지원하여 품질과 속도를 조절합니다. `seed`를 사용하면 결과를 재현할 수 있습니다.

매개변수

이름유형 기본값허용됨 설명
prompt필수
유형string
동영상 생성을 안내하는 텍스트 지침입니다.
num_frames선택 사항
유형integer | null
기본값96
96 – 192
출력 프레임 수입니다. 최소값은 96, 최대값은 192입니다.
seed선택 사항
유형integer | null
생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.
resolution선택 사항
유형enum
기본값720p
480p720p
출력 동영상 해상도이며 480p 또는 720p입니다.
num_inference_steps선택 사항
유형enum
기본값16
481632
샘플링 단계 수입니다. 수가 늘어날수록 처리 시간이 길어지는 대신 품질이 향상됩니다.
enable_safety_checker선택 사항
유형boolean
기본값true
안전 검사 스위치입니다. 끔 설정에는 계정 인증이 필요합니다. 인증이 없으면 설정과 관계없이 모든 요청을 검사하며, true는 검사기를 활성화합니다.
aspect_ratio선택 사항
유형enum
기본값auto
auto16:99:161:1
생성된 동영상의 비율입니다. 'auto'로 설정하면 입력 이미지에서 자동으로 선택됩니다.
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "magi-distilled",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 320,
    "usd": "0.32",
    "charged": 320,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}생성으로 만들어진 동영상 파일입니다.
seed
integer생성 중 적용되는 시드 값입니다.

더 많은 모델: 텍스트를 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/magi-distilled.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt